Emacs UI: slow with long lines

13 Nov 2019 16:55 - John Abbott

Status: In Progress Start date: 13 Nov 2019

Priority: Normal Due date:  

Assignee:  % Done: 10%

Category: EmacsUI Estimated time: 0.00 hour

Target version: CoCoA-5.4.4 Spent time: 0.50 hour

Description

I have found mention of so-long.el for emacs which is supposed to help with long lines.

We should investigate.

Related issues:

Related to CoCoA-5 - Feature #781: Option to "fold" long lines? Closed 28 Sep 2015

Related to CoCoA-5 - Feature #1431: Juxtaposition of string literals Rejected 03 Mar 2020

History

#1 - 13 Nov 2019 16:56 - John Abbott

Original location of link was

https://emacs.stackexchange.com/questions/598/how-do-i-prevent-extremely-long-lines-making-emacs-slow

 

Currently I'm waiting for emacs to handle a long line (about 600Mbytes).

Once emacs has finished CoCoA-5 gets this long line as input >-}

#2 - 03 Mar 2020 22:24 - John Abbott

- Related to Feature #781: Option to "fold" long lines? added

#3 - 04 Mar 2020 21:15 - John Abbott

- Related to Feature #1431: Juxtaposition of string literals added

#4 - 19 Apr 2021 14:06 - John Abbott

- Target version changed from CoCoA-5.4.0 to CoCoA-5.4.2

#5 - 15 Jan 2024 19:32 - John Abbott

- Status changed from New to In Progress

- Target version changed from CoCoA-5.4.2 to CoCoA-5.4.4

- % Done changed from 0 to 10

I did take a look at so-long.el, and it did help a bit.

Handling of long lines is a known emacs weakness; probably the best we can do is document the existence of so-long.el, and/or advise against very

long lines.  Indeed, the CoCoA-5 comint window gets quite slow whenever there is a line longer than about 100k.
I think I recall that even the GUI was not perfect when handling long lines (but not as slow as emacs).  Again perhaps we should document

somewhere that it is best not to print long output in an interactive session?  Instead output to a file or a string: a string can be printed using fold.
